Package icyllis.modernui.transition

# Class TransitionValues

java.lang.Object
icyllis.modernui.transition.TransitionValues

public class TransitionValues extends Object
Data structure which holds cached values for the transition. The view field is the target which all the values pertain to. The `values` field is a map which holds information for fields according to names selected by the transitions. These names should be unique to avoid clobbering values stored by other transitions, such as the convention project:transition_name:property_name. For example, the platform might store a property "alpha" in a transition "Fader" as "modernui:fader:alpha".

These values are cached during the `Transition.captureStartValues(TransitionValues)` capture} phases of a scene change, once when the start values are captured and again when the end values are captured. These start/end values are then passed into the transitions via the for `Transition.createAnimator(ViewGroup, TransitionValues, TransitionValues)` method.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final Map<String,Object>`
  `values`
  The set of values tracked by transitions for this scene.
  `final View`
  `view`
  The View with these values

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TransitionValues(View view)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### view

    @Nonnull public final View view
    The View with these values

  - ### values

    public final Map<String,Object> values
    The set of values tracked by transitions for this scene.

- ## Constructor Details

  - ### TransitionValues

    public TransitionValues(@Nonnull View view)

- ## Method Details

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`